/* This style sheet is sorted with fonts first and CSS elements chronologically*/
@font-face {                  
  font-family: 'CHNOPixel';
  src: url(https://humantooth.neocities.org/fonts/CHNOPixelCodePro-Regular.woff) format('woff');
  } 
  a:link {
    color: PaleTurquoise;
  }
  a:visited {
    color: PaleTurquoise;
  }
  a:hover {
    color: PaleTurquoise;
    font-style: italic;
  }
  a:active {
    color: yellow;
}

                    /* TEXT BODY SETTINGS ------------------------------------------------------*/
                    
body {
  background: linear-gradient(DarkMagenta 0%, Purple 80%, Purple 100%);
  background-size: cover;
  background-attachment: fixed;
  font-family: 'CHNOPixel';
  color: white;
  text-shadow: 2px 2px 2px black;
  text-align: center;
  vertical-align: middle;
  font-size: 0.8rem;
  line-height: 1.5;
  overflow-x: hidden;
}
@media screen and (max-width: 600px) {
  body {
    background: DarkMagenta;
    background-size: cover;
    font-family: 'CHNOPixel';
    color: white;
    text-shadow: 2px 2px 2px black;
    text-align: center;
    vertical-align: middle;
    font-size: 0.8rem;
    line-height: 1.5;
    overflow-x: hidden;
  }
}
h1{
  font-family: 'CHNOPixel';
  color:Lavender;
  font-size: 1.5rem;
  text-shadow: 5px 5px 5px black;
  text-align: center;
  vertical-align: middle;
  margin: 3px auto;
  margin-top: 30px;
  border: 5px solid #600073;
  border-radius: 10px;
  width: fit-content;
  padding: 5px;
}
.main{
  font-family: 'CHNOPixel';
  font-size: 1rem;
  text-shadow: 2px 2px 5px black;
  margin: 0 auto;
  border: 5px solid #600073;
  border-radius: 10px;
  width: 500px;
  height: auto;
  padding: 4px;
  color: Lavender;
}
.grid12{
  display: grid;
  grid-template-columns: auto auto auto auto auto auto;
  font-family: 'CHNOPixel';
  font-size: 1rem;
  text-shadow: 2px 2px 5px black;
  margin: 0 auto;
  border: 5px solid #600073;
  border-radius: 10px;
  width: auto;
  height: auto;
  padding: 4px;
  color: Lavender;
}
.grid12 div{
  border: 3px solid #600073;
  border-radius: 3px;
  padding: 4px;
}
@media screen and (max-width: 600px) {
  .main{
    font-family: 'CHNOPixel';
    font-size: 0.8rem;
    text-shadow: 2px 2px 5px black;
    margin: 0 auto;
    border: 5px solid #600073;
    border-radius: 10px;
    width: auto;
    height: auto;
    padding: 4px;
    color: Lavender;
  }
}

                    /* BORDER ELEMENTS ------------------------------------------------------*/
                    
.staticborder{    /* Starry Banner on the page border */
  width: 100%;
  height: auto;
  display: block;
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  z-index: 2;
}
@media screen and (max-width: 600px) {
  .staticborder {
  width: 175vh;
  height: auto;
  display: block;
  position: fixed;
  top: 0px;
  left: -175px;
  right: 0px;
  z-index: 2;
  }
}
.staticmoon{    /* Puts moon in bottom corner */
  position: fixed;
  width: 150px;
  left: -10px;
  bottom: -10px;
  transform: rotate(-5deg)
}
@media screen and (max-width: 800px) {
.staticmoon{
  position: fixed;
  width: 15vh;
  left: -5px;
  bottom: -5px;
  transform: rotate(-5deg)
  }
}
.moonmask{    /* Creates Moon using masking */
    -webkit-mask-image: url(images/moonmask.png);
    mask-image: url(images/moonmask.png);
    mask-repeat: no-repeat;
    z-index: 2;
    mask-size: 150px;
    background: #600073;
    height: 150px;
    width: 150px;
      animation-name: moonspin;
      animation-duration: 2s;
      animation-timing-function: ease-in-out;
      animation-delay: 1s;
      animation-iteration-count: infinite;
      animation-direction: alternate;
}
@media screen and (max-width: 800px) {
  .moonmask{
    -webkit-mask-image: url(images/moonmask.png);
    mask-image: url(images/moonmask.png);
    mask-repeat: no-repeat;
    z-index: 2;
    mask-size: 15vh;
    background: #600073;
    height: 15vh;
    width: 15vh;
      animation-name: moonspin;
      animation-duration: 2s;
      animation-timing-function: ease-in-out;
      animation-delay: 1s;
      animation-iteration-count: infinite;
      animation-direction: alternate;
  }
}
@keyframes moonspin {   /* Swivels Moon back and forth */
  0%   {background:#600073;}
  100% {background:#640078;transform: rotate(10deg)}
}
.sigilmask1{    /* Creates Sigil using masking */
    -webkit-mask-image: url(images/MasterCircle.png);
    mask-image: url(images/MasterCircle.png);
    z-index: -2;
    mask-size: 500px;
    background: #600073;
    position: absolute;
    height: 500px;
    width: 500px;
    right: -175px;
    bottom: -200px;
    overflow-y: hidden;
      animation-name: sigilspin;
      animation-duration: 30s;
      animation-timing-function: linear;
      animation-iteration-count: infinite;
}
@media screen and (max-width: 1200px) {
  .sigilmask1{
    -webkit-mask-image: url(images/MasterCircle.png);
    mask-image: url(images/MasterCircle.png);
    z-index: -2;
    mask-size: 80vh;
    display: grid;
    background: #79007a;
    position: fixed;
    height: 80vh;
    width: 80vh;
    top: 20vh;
    right: -13.1vh;
      animation-name: sigilspin;
      animation-duration: 30s;
      animation-timing-function: linear;
      animation-iteration-count: infinite;
  }
}
@media screen and (max-width: 600px) {
  .sigilmask1{
    -webkit-mask-image: url(images/MasterCircle.png);
    mask-image: url(images/MasterCircle.png);
    z-index: -2;
    mask-size: 80vh;
    display: grid;
    background: #79007a;
    position: fixed;
    height: 80vh;
    width: 80vh;
    top: 12vh;
    right: -13.1vh;
      animation-name: sigilspin;
      animation-duration: 30s;
      animation-timing-function: linear;
      animation-iteration-count: infinite;
  }
}
@keyframes sigilspin {    /* Rotates Sigil */
  0%   {}
  100% {transform: rotate(-360deg)}
}
.cloudmaskright{    /* Creates Moon using masking */
    -webkit-mask-image: url(images/bottomcloud1.png);
    mask-image: url(images/bottomcloud1.png);
    mask-repeat: no-repeat;
    mask-position: bottom right;
    mask-size: 460px;
    z-index: -1;
    background: lavender;
    position: absolute;
    width: 480px;
    height: 260px;
    bottom: 0;
    right: 0;
}
.bottomrightcloud{
    display: grid;
    position: relative;
    bottom: -9px;
    right: -10px;
}
.cloudmaskleft{    /* Creates Moon using masking */
    -webkit-mask-image: url(images/bottomcloud1.png);
    mask-image: url(images/bottomcloud1.png);
    transform: scaleX(-1);
    mask-repeat: no-repeat;
    mask-position: bottom right;
    mask-size: 320px;
    z-index: -1;
    background: lavender;
    position: absolute;
    width: 480px;
    height: 260px;
    bottom: 0;
    left: 0;
}
.bottomleftcloud{
    display: grid;
    position: relative;
    bottom: -9px;
    right: 9px;
}

                    /* INDEX PAGE ------------------------------------------------------*/
                    
.portraitborder{    /* Currently just a border for my profile image */
    -webkit-mask-image: url(images/picborder1.png);
    mask-image: url(images/picborder1.png);
    mask-size: 150px;
}




                    /* EXPERIMENTAL CODE ------------------------------------------------------*/
.testgrid{
  display: grid;
}

